[Deprecated]: V3.0
get
/ec-designer-svc/rest/v3.0/studies/{studyId}/kits
Deprecated: Use latest version instead. Retrieves kit descriptions from non-draft study versions selected by mode. Optional kitType and unblinded query parameters control which kit categories and unblinded kit fields are returned. The response includes kit identifiers, kit type, description, distribution setting, device details, supply type, titration flag, pooling, and serialization details when available.
Request
Path Parameters
-
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E
Query Parameters
-
mode(required): string
Study mode to filter kits.Allowed Values:
[ "test", "training", "active" ]Example:test
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitDescDto V3.0
Title:
KitDescDto V3.0Kit description and distribution setting
Nested Schema : KitDescDto V3.0
Type:
objectTitle:
KitDescDto V3.0Kit description and distribution setting
Show Source
-
deviceConn: string
Device ConnectionExample:
D2C -
deviceType: string
Device TypeExample:
SCALE -
distributionSetting: string
(string)
Distribution SettingExample:
UNBLINDED -
kitDescription: string
(string)
Kit descriptionExample:
Kit_1003_1 -
kitId: string
(uuid)
Kit Unique GUID
-
kitType: string
(string)
Kit Type IDExample:
Kit_1003_1 -
trialSupplyType: string
Trial Supply TypeExample:
BOTTLE
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}